Bug 54388 - The '--cflags-only-*' and '--libs-only-*' option shouldn't be exclusive with other similar options
The '--cflags-only-*' and '--libs-only-*' option shouldn't be exclusive with ...
Status: RESOLVED FIXED
Product: pkg-config
Classification: Unclassified
Component: src
unspecified
Other All
: medium normal
Assigned To: Dan Nicholson
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-02 12:07 UTC by Michał Górny
Modified: 2012-11-03 18:09 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny 2012-09-02 12:07:28 UTC
Currently, the '--cflags-only-*' and '--libs-only-*' options are exclusive to other options from that group. It would be however useful to get output like:

$ pkg-config --libs-only-L --libs-only-other ...

or

$ pkg-config --libs-only-L --libs-only-l ...
Comment 1 Dan Nicholson 2012-10-29 02:53:34 UTC
Good point. I have something going locally that should fix this.
Comment 2 Dan Nicholson 2012-11-03 18:09:53 UTC
Fixed in commit 90ed8f1. You can now pass any combinations of --cflags and --libs you want.